View Issue Details

IDProjectCategoryView StatusLast Update
0004409unrealircdpublic2015-09-07 12:39
ReporterEmanAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.4-beta4 
Target VersionFixed in Version4.0.0-rc1 
Summary0004409: remote includes cache not working
Descriptionremote include cache is not working:

upon /rehash the following happens:
[2015/09/06 - 2:04:55PM] -alderaan.r-type.ca- *** Erik2 is rehashing server config file
[2015/09/06 - 2:04:55PM] /home/ircd/unrealircd/conf/unrealircd.conf Rehashing
[2015/09/06 - 2:04:55PM] -alderaan.r-type.ca- *** error: Unable to create file 'cache/fad120a36bdd2f541e6160b12b167a25': No such file or directory
[2015/09/06 - 2:04:55PM] -alderaan.r-type.ca- *** Loading IRCd configuration..
[2015/09/06 - 2:04:56PM] -alderaan.r-type.ca- *** Configuration loaded without any problems.

strace reveals an incorrect path:
open("/home/ircd/unrealircd/tmp/2E6969D1.(null)", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/ircd/unrealircd/tmp/AB0D794.download.conf", O_RDONLY) = 9
open("cache/fad120a36bdd2f541e6160b12b167a25", O_WRONLY|O_CREAT, 0600) = -1 ENOENT (No such file or directory)
open("/home/ircd/unrealircd/conf/unrealircd.conf", O_RDONLY) = 9

TagsNo tags attached.
3rd party modules

Activities

syzop

2015-09-07 12:15

administrator   ~0018687

Ok, fixed the cache issue in: https://github.com/unrealircd/unrealircd/commit/c12d05182e69db7a402dd959785d68796630533d

commit c12d05182e69db7a402dd959785d68796630533d
Author: Bram Matthys <syzop@vulnscan.org>
Date: Mon Sep 7 12:14:15 2015 +0200

    Fix remote includes cache not working. Reported by Eman (0004409).

-

I don't like the 2E6969D1.(null) thing in the strace output though. I don't have that but I'll try to reproduce and fix that too.

syzop

2015-09-07 12:27

administrator   ~0018688

Ok, fixed the (null) thing too: https://github.com/unrealircd/unrealircd/commit/09191c47b21606a1fbb76dc1b8281855595765e5

Thanks! :)

syzop

2015-09-07 12:39

administrator   ~0018689

And another fix at https://github.com/unrealircd/unrealircd/commit/74f2c10e2e332d63fd67f2ec53c304bcfe448f94

Apparently we didn't write the cache on-boot, but only on rehash.

Issue History

Date Modified Username Field Change
2015-09-06 20:05 Eman New Issue
2015-09-07 12:11 syzop Assigned To => syzop
2015-09-07 12:11 syzop Status new => confirmed
2015-09-07 12:15 syzop Note Added: 0018687
2015-09-07 12:27 syzop Note Added: 0018688
2015-09-07 12:27 syzop Status confirmed => resolved
2015-09-07 12:27 syzop Fixed in Version => 4.0.0-rc1
2015-09-07 12:27 syzop Resolution open => fixed
2015-09-07 12:39 syzop Note Added: 0018689